% ACTIVATION Calculate the fulfillment degree and the derivative of a rule.
%
%         W = activation(Fuzzy_Model, Point, out)
%
%         [W, SumW] = activation(Fuzzy_Model, Point, out)
%
% For a specific rule:
%
%         W = activation(Fuzzy_Model, Point, out, rule)
%
%         [W, dW] = activation(Fuzzy_Model, Point, out, rule)
%
% Arguments:
%
%     Fuzzy_Model -> Fuzzy model. This model could be a '.txt' file, a '.fis' file,
%                    or a 'FIS' variable from MATLAB Workspace.
%
%     out -> Output of the model for select the rule.
%
%     rule -> The rule for the output 'out'. If 'rule' is omitted will be
%             calculated the degree of activation of all rules of 'out'.
%
%     Point -> Point where the fulfillment degree will be calculate.
%
%     W -> Matching degree of the rule/s.
%
%     SumW -> Sumatory of all fulfillment degrees for the output 'out' => sum(W)
%
%     dW -> Derivative of the fulfillment degree. 'rule' must be used.
% 			Note: dW will be correct only if all inputs of Fuzzy_Model are independent.
%
%  See also antec2mat, aproxjac, aproxlinear, conseq2mat, fis2txt, fuz2mat,
%           fuzcomb, fuzeval, fuzjac, fuzlinear, fuzprint, mat2antec, mat2conseq,
%           mat2fuz, subsystem, txt2fis

% #############################################################################
%
%    Copyright (C) 2004-2011
%    ANTONIO JAVIER BARRAGAN, antonio.barragan@diesia.uhu.es
%    http://www.uhu.es/antonio.barragan
%
%    Collaborators:
%    JOSE MANUEL ANDUJAR, andujar@diesia.uhu.es
%	 MARIANO J. AZNAR, marianojose.aznar@alu.uhu.es
%
%    DPTO. DE ING. ELECTRONICA, DE SISTEMAS INFORMATICOS Y AUTOMATICA
%    ETSI, UNIVERSITY OF HUELVA (SPAIN)
%
%    For more information, please contact with authors.
%
%    This software is free software: you can redistribute it and/or modify
%    it under the terms of the GNU General Public License as published by
%    the Free Software Foundation, either version 3 of the License, or
%    (at your option) any later version.
%
%    This software is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU General Public License for more details.
%
%    You should have received a copy of the GNU General Public License
%    along with this program.  If not, see <http://www.gnu.org/licenses/>.
% #############################################################################

