% MAT2CONSEQ Change the consequent of a fuzzy model.
%
%         Final_Model = mat2conseq(Initial_Model,Vector)
%
%         Final_Model = mat2conseq(Initial_Model,Vector,Output,Rule)
%
%         [Final_Model,length] = mat2conseq(Initial_Model,Vector)
%
%         [Final_Model,length] = mat2conseq(Initial_Model,Vector,Output,Rule)
%
% Arguments:
%
%     Final_Model -> Changed fuzzy model.
%
%     Output -> Use to select the consequent of one output.
%
%     Rule -> Use to select the consequent of one rule for given output.
%
%     length -> The length of Vector, 0 if error.
%
%     Initial_Model -> Fuzzy Model to change. This model could be a '.txt' file,
%                      a '.fis' file, or a 'FIS' variable from MATLAB Workspace.
%
%     Vector -> Vector with data for fuzzy model consequent.
%
%  See also activation, antec2mat, aproxjac, aproxlinear, conseq2mat, fis2txt,
%           fuz2mat, fuzcomb, fuzeval, fuzjac, fuzlinear, fuzprint, mat2antec,
%           mat2fuz, subsystem, txt2fis

% #############################################################################
%
%    Copyright (C) 2004-2011
%    ANTONIO JAVIER BARRAGAN, antonio.barragan@diesia.uhu.es
%    http://www.uhu.es/antonio.barragan
%
%    Collaborators:
%    JOSE MANUEL ANDUJAR, andujar@diesia.uhu.es
%	 MARIANO J. AZNAR, marianojose.aznar@alu.uhu.es
%
%    DPTO. DE ING. ELECTRONICA, DE SISTEMAS INFORMATICOS Y AUTOMATICA
%    ETSI, UNIVERSITY OF HUELVA (SPAIN)
%
%    For more information, please contact with authors.
%
%    This software is free software: you can redistribute it and/or modify
%    it under the terms of the GNU General Public License as published by
%    the Free Software Foundation, either version 3 of the License, or
%    (at your option) any later version.
%
%    This software is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU General Public License for more details.
%
%    You should have received a copy of the GNU General Public License
%    along with this program.  If not, see <http://www.gnu.org/licenses/>.
% #############################################################################

